package com.inspect.metadata.patrolpointmnt.service;

import com.inspect.metadata.patrolpointmnt.domain.BasedataPatrolPointPreset;

import java.util.List;

public interface IBasedataPatrolPointPresetService {
    BasedataPatrolPointPreset selectBasedataPatrolPointPresetByPatrolPointPresetId(Long presetId);

    List<BasedataPatrolPointPreset> selectBasedataPatrolPointPresetList(BasedataPatrolPointPreset pointPreset);

    int insertBasedataPatrolPointPreset(BasedataPatrolPointPreset pointPreset);

    int updateBasedataPatrolPointPreset(BasedataPatrolPointPreset pointPreset);

    int deleteBasedataPatrolPointPresetByPatrolPointPresetIds(Long[] presetIds);

    int deleteBasedataPatrolPointPresetByPatrolPointPresetId(Long presetId);

    BasedataPatrolPointPreset selectBasedataPatrolPointPresetByPatrolPointId(Long presetId);
}
